Subject: Re: [PATCH v5 0/4] Optionally skip hashing index on write

From: Junio C Hamano <[email-masked]>
Date: Sun, 15 Jan 2023 01:31:51 -0800

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> Writing the index is a critical action that takes place in multiple Git
> commands. The recent performance improvements available with the sparse
> index show how often the I/O costs around the index can affect different Git
> commands, although reading the index takes place more often than a write.

https://github.com/git/git/actions/runs/3922482355/jobs/6705454550#step:4:2006

shows that all other platforms passed but osx-gcc failed one of the
tests this series added.  Could it be that there is something racy
about the test (1006.6 if I am not mistaken)?